# Method: pages.list

- [HTTP request](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/list#body.request_body)
- [Response body](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/list#body.response_body)
  - [JSON representation](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/list#body.ListClaimReviewMarkupPagesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/list#body.aspect)
- [Try it!](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages/list#try-it)

List the `ClaimReview` markup pages for a specific URL or for an organization.

### HTTP request

`GET https://factchecktools.googleapis.com/v1alpha1/pages`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `url` | `string` The URL from which to get `ClaimReview` markup. There will be at most one result. If markup is associated with a more canonical version of the URL provided, we will return that URL instead. Cannot be specified along with an organization. |
| `organization` | `string` The organization for which we want to fetch markups for. For instance, "site.com". Cannot be specified along with an URL. |
| `pageSize` | `integer` The pagination size. We will return up to that many results. Defaults to 10 if not set. Has no effect if a URL is requested. |
| `pageToken` | `string` The pagination token. You may provide the `nextPageToken` returned from a previous List request, if any, in order to get the next page. All other fields must have the same values as in the previous request. |
| `offset` | `integer` An integer that specifies the current offset (that is, starting result location) in search results. This field is only considered if `pageToken` is unset, and if the request is not for a specific URL. For example, 0 means to return results starting from the first matching result, and 10 means to return from the 11th result. |

### Request body

The request body must be empty.

### Response body

Response from listing `ClaimReview` markup.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "claimReviewMarkupPages": [ { object (`https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages#ClaimReviewMarkupPage`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `claimReviewMarkupPages[]` | ``object (`https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/pages#ClaimReviewMarkupPage`)`` The result list of pages of `ClaimReview` markup. |
| `nextPageToken` | `string` The next pagination token in the Search response. It should be used as the `pageToken` for the following request. An empty value means no more results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/factchecktools`